[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLQuery.MacroByName

Convenience for Macros.ParamByName

## Declaration

Source position: sqldb.pp line 590

`public function TCustomSQLQuery.MacroByName(`
`const AParamName: string`
`):TParam;`

## Arguments

`AParamName` |  | The name of the macro to search

## Function result

The requested macro definition

## Description

MacroByName checks Macros for the macro named aParamName and returns the requested macro.

## Errors

If no macro is found, an exception is raised.

## See also

#fcl.db.TParams.ParamByName |  | Return a parameter by name